function xdot = f_cont(t, x)

u = control_input(t);

beta = x(3);
r1 = x(4);
r2 = x(5);

v1 = u(1)*r1;
v2 = u(2)*r2;
v = 0.5*(v1 + v2);

D = 1;

xdot = [
    v*cos(beta)
    v*sin(beta)
    (v2 - v1)/D
    0
    0
    ];
