function xf = rk4(f, t0, x0, h)

k1 = h * f(t0, x0);

x1 = x0 + 0.5*k1;
k2 = h * f(t0 + 0.5*h, x1);

x2 = x0 + 0.5*k2;
k3 = h * f(t0 + 0.5*h, x2);

x3 = x0 + k3;
k4 = h * f(t0 + h, x3);

xf = x0 + (1/6)*(k1 + 2*k2 + 2*k3 + k4);
